<div class="dialog-header">
  <h2 mat-dialog-title>Sign In</h2>
  <button
    type="button"
    mat-icon-button
    [mat-dialog-close]="true"
    class="close-button"
    tabindex="-1"
  >
    <mat-icon aria-hidden="false" aria-label="Close icon">close</mat-icon>
  </button>
</div>

<mat-dialog-content>
  <form [formGroup]="form" (ngSubmit)="submit()" class="login-form">
    <mat-label class="asterix--after">Username or Email Id</mat-label>

    <mat-form-field class="full-width">
      <input matInput placeholder="Username" formControlName="username" />
      <mat-icon matPrefix>perm_identity</mat-icon>

      @if (isSubmitted && controls["username"].errors) {
        <mat-hint class="input-error"
          >Please enter valid Username or Email ID</mat-hint
        >
      }
    </mat-form-field>

    <mat-label class="asterix--after">Password</mat-label>

    <mat-form-field class="full-width">
      <input
        type="password"
        matInput
        placeholder="Password"
        formControlName="password"
        [type]="hidePassword ? 'password' : 'text'"
      />
      <mat-icon matPrefix>lock</mat-icon>

      <button
        mat-icon-button
        matSuffix
        (click)="hidePassword = !hidePassword"
        [attr.aria-label]="'Hide password'"
        [attr.aria-pressed]="hidePassword"
      >
        <mat-icon>{{
          hidePassword ? "visibility_off" : "visibility"
        }}</mat-icon>
      </button>

      @if (isSubmitted && controls["username"].errors) {
        <mat-hint class="input-error"></mat-hint>
      }
    </mat-form-field>

    <mat-checkbox
      (change)="OnRememberMe($event)"
      class="example-margin"
      color="primary"
      >Remember Me</mat-checkbox
    >

    <button
      class="full-width"
      type="submit"
      mat-raised-button
      color="primary"
      [class.spinner]="isLoading"
      [disabled]="!enableSubmit || isLoading"
    >
      Login
    </button>

    <button
      class="full-width forget-password"
      mat-button
      (click)="OnForgetPassWord()"
    >
      Forgot password
    </button>

    <mat-divider></mat-divider>

    <mat-label>
      <h6>New to Graphene Dev02?</h6>
      <p mat-caption>Sign up now to avail all our services</p>
    </mat-label>
    <div class="btn-signup-container">
      <button
        class="btn-secondary btn-signup"
        mat-raised-button
        (click)="openSignUpDialog()"
      >
        Sign Up
      </button>
    </div>
  </form>
</mat-dialog-content>
